vibz.art/docs
API ReferenceKadambini

Predict Ner Batch

Run NER on a batch of texts (up to 64). More efficient than single calls.

POST /kadambini/v1/ner/batch

Run NER on a batch of texts (up to 64). More efficient than single calls.

Parameters

No query parameters.

Request Body

NerBatchRequest

FieldTypeRequiredDescription
textsstring[]YesTexts
thresholdnumberNoThreshold

Response

FieldTypeDescription
resultsNerResponse[]Results
modelstringModel

Examples

curl

curl -X POST "https://api.vibz.art/kadambini/v1/ner/batch" \
  -H "X-API-Key: vz_live_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"text": "अर्जुन उवाच"}'

Python

from vibzart import Vibzart

client = Vibzart(api_key="vz_live_...")
result = client.kadambini.ner_batch(texts=["अर्जुन उवाच", "कृष्ण उवाच"])
print(result.data)

TypeScript

import { Vibzart } from "@vibzart/sdk";

const client = new Vibzart({ apiKey: "vz_live_..." });
const result = await client.kadambini.nerBatch({ texts: ["अर्जुन उवाच", "कृष्ण उवाच"] });
console.log(result.data);